body {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  min-height: 100vh;
  font-size: 1.1rem;
}
main {
  flex-grow: 1;
}
.logo {
  width: 100%;
  max-width: 300px;
  margin: auto;
}
.course-title {
  color: #d71920;
}
.form-box {
  max-width: 400px;
  margin: 0 auto;
}
.tutorial-sidebar {
  height: 100vh;
  overflow-y: auto;
  border-right: 1px solid #dbdbdb;
  box-shadow: 0 0 5px rgba(0,0,0,0.05);
}

#sql-tip {
  transition: opacity 0.3s ease;
  font-size: 0.9rem;
  margin-top: 0.5rem;
}

footer {
  margin-top: 40px;
  padding: 20px;
  background-color: transparent;
  display: flex;
  justify-content: space-between;
  font-size: 0.9rem;
  color: #555;
  flex-wrap: wrap;
}
.button.is-light {
  color: #363636;
  border: 1px solid #dbdbdb;
}
.button.is-light:hover {
  background-color: #f5f5f5;
  border-color: #b5b5b5;
}
@media (min-width: 769px) {
  .tutorial-sidebar {
    position: sticky;
    top: 0;
  }
}
@media screen and (max-width: 768px) {
  body {
    font-size: 1rem;
  }
  .form-box {
    width: 100%;
    padding: 0 10px;
  }
  footer {
    flex-direction: column;
    align-items: center;
    text-align: center;
  }
}
